plist-cil 1.13.0.0 1.14.0.0 Claunia.PropertyList.NSObject System.IComparable A number whose value is either an integer, a real number or bool. To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The bool value.
  Creates a bool number.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The real value.
  Creates a real number.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The integer value.
  Creates an integer number.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The long integer value.
  Creates an integer number.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The textual representation of the number.
  Creates a number from its textual representation.
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The binary representation
  The type of number
  Parses integers and real numbers from their binary representation. Note: real numbers are not yet supported.
  To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 2 Indicates that the number's value is bool. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 `` Object to compare to the current . Compares the current to the specified object. 0 if the numbers are equal, 1 if the current is greater than the argument and -1 if it is less, or the argument is not a number. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The object to compare to. Checks whether the other object is a NSNumber of the same value. Whether the objects are equal in terms of numeric value and type. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Single The number's float value. WARNING: Possible loss of precision if the value is outside the float range. The value of the number as float. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 Serves as a hash function for a object. A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 Gets the type of this number's value. The type flag. To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 0 Indicates that the number's value is an integer. The number is stored as a .NET . Its original value could have been char, short, int, long or even long long. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean Checks whether the value of this NSNumber is a bool. Whether the number's value is a bool. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean Checks whether the value of this NSNumber is an integer. Whether the number's value is an integer. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean Checks whether the value of this NSNumber is a real number. Whether the number's value is a real number. To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 1 Indicates that the number's value is a real number. The number is stored as a .NET . Its original value could have been float or double. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean The number's bool value. true if the value is true or non-zero, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Double The number's double value. The value of the number as double. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 The number's int value. Note: Even though the number's type might be INTEGER it can be larger than a Java int. Use intValue() only if you are certain that it contains a number from the int range. Otherwise the value might be innaccurate. The value of the number as int. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int64 The number's long value. The value of the number as long To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String Returns a that represents the current . A that represents the current . To be added.